# __gnu_parallel::adjacent_difference_selector< It > Struct Template Reference

Selector that returns the difference between two adjacent elements. More...

Inheritance diagram for __gnu_parallel::adjacent_difference_selector< It >:

List of all members.

## Public Member Functions

- template<typename Op > bool operator() (Op &o, It i)

## Public Attributes

- It finish_iterator

## Detailed Description

### template<typename It>
struct __gnu_parallel::adjacent_difference_selector< It >

Selector that returns the difference between two adjacent elements.

Definition at line 270 of file for_each_selectors.h.

## Member Data Documentation

It __gnu_parallel::generic_for_each_selector< It >::finish_iterator `[inherited]`

Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 48 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h